Class | Erector::Widget
In: | lib/ramaze/helper/erector.rb
Parent: | Object

### Methods

css ie_if inspect js strict_xhtml

### External Aliases

rawtext | -> | raw!
css | -> | old_css

### Public Instance methods

css(href, args = {})

Generate a stylesheet tag.

@example

      css 'css/reset.css', :media => 'print'

@param [String] href The path (either absolute or relative) to the CSS

     file.

@param [Hash] args A hash containing additional arguments to add to

     the CSS tag.

ie_if(expr) {|| ...}

Generate a pair of conditional tags for a specific browser.

@example

      ie_if 'IE' do
        ......
      end

@param [String] expr The if expression, such as ‘IE’ or ‘lte IE7’. @param [block] block Block that contains the data that needs to be

     loaded for the specified browser.

inspect(elem)

Inspect the specified element.

@param [String] elem The element to inspect.

js(src)

Generate a Javascript tag.

@example

      js 'javascript/jquery.js'

@param [String] src The full or relative path to the Javascript file.

strict_xhtml(*args, &block)

Method that generates a XHTML 1.0 Strict doctype.

@example

      strict_html do
        head do
          title "Ramaze Rocks!"
        end
        body
          div do

          end
        end
      end

@param [Hash] args Hash containing extra options such as the xml:lang

     and xmlns attribute.

@param [Block] block Block that contains the inner data of the <html>

     element.

[Validate]